from django.conf.urls import patterns, url

from .views import *
from .models import Calibration, Olfactometer


# someone should order things in here... :)

urlpatterns = patterns('',

                       url(regex=r'^$',
                           view=OlfactometersListView.as_view(),
                           name=Olfactometer.overview_url),

                       url(regex=r'^(?P<pk>\d+)/$',
                           view=OlfactometerDetailView.as_view(),
                           name=Olfactometer.detail_url),

                       url(regex=r'^update/(?P<pk>\d+)/$',
                           view=OlfactometerUpdateView.as_view(),
                           name=Olfactometer.update_url),

                       url(regex=r'^create/$',
                           view=OlfactometerCreateView.as_view(),
                           name=Olfactometer.create_url),

                       url(regex=r'^cs/$',
                           view=CalibrationsListView.as_view(),
                           name=Calibration.overview_url),

                       url(regex=r'^cs/(?P<pk>\d+)/$',
                           view=CalibrationDetailView.as_view(),
                           name=Calibration.detail_url),

                       url(regex=r'^cs/update/(?P<pk>\d+)/$',
                           view=CalibrationUpdateView.as_view(),
                           name=Calibration.update_url),

                       url(regex=r'^cs/create/$',
                           view=CalibrationCreateView.as_view(),
                           name=Calibration.create_url),

)